import {select, range, scaleOrdinal} from 'd3';
import {fruitBowl} from './fruit';
const WAIT = 2000;
const svg = d3.select("svg");

const width = +svg.attr("width");


const makeFruit = type => ({type, id: Math.random()}); //functie die type als input krijgt
//id is bedoeld voor object constancy: 
// een vaste koppeling tussen een dom-element en een data-element

let fruits = range(5).map(() => makeFruit('apple'));

const fruitGroup = svg.append('g');
const render = () => {
  fruitBowl(fruitGroup, {fruits, height: +svg.attr("height")})
}
  ; 


// Eat an apple

	  render();
    

// Eat an apple
setTimeout(() => {
	  fruits.pop();
    render();
  }, 1000);



// Replace lemon with apple
setTimeout(() => {
 	  fruits[2].type='lemon';
     render();
  }, 2000); 


// Eat second apple
setTimeout(() => {
 	  fruits = fruits.filter((d, i) => i !== 1);
     render();
  }, 3000); 


    






